classification
Title: Turtle: invalid example for write doc
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.11, Python 3.10
process
Status: closed Resolution: duplicate
Dependencies: Superseder: turtle.write doc missing tuple parens for font default in 3.10+
View: 45397
Assigned To: docs@python Nosy List: docs@python, eric.araujo, willyns
Priority: normal Keywords:

Created on 2021-11-22 17:35 by willyns, last changed 2021-11-27 02:53 by terry.reedy. This issue is now closed.

Messages (2)
msg406795 - (view) Author: Pavel V (willyns) Date: 2021-11-22 17:35
There are no parentheses for 'font' argument in turtle.write() documentation

https://docs.python.org/3.10/library/turtle.html#turtle.write
msg407086 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2021-11-26 19:33
The doc for the font parameter is:  a triple (fontname, fontsize, fonttype)
but the default value in the signature is:  font='Arial'

I do not know what’s font name vs font type!
Do you know if it’s valid to have font='Arial', in which case the doc should be amended?  or is the default value wrong?  (also not sure if it’s a default value or an example)
History
Date User Action Args
2021-11-27 02:53:31terry.reedysetstatus: open -> closed
versions: + Python 3.11
superseder: turtle.write doc missing tuple parens for font default in 3.10+
resolution: duplicate
type: behavior
stage: resolved
2021-11-26 19:33:02eric.araujosetnosy: + eric.araujo

messages: + msg407086
title: Turtle documentation, write() -> Turtle: invalid example for write doc
2021-11-22 17:35:35willynscreate